## elfeed 2.0.1

=== Makefile ===
EMACS   ?= emacs
BATCH   := $(EMACS) -batch -Q -L .
COMPILE := $(BATCH) -f batch-byte-compile
VERSION := $(word 1,$(subst -, ,$(shell git describe)))

EL  = elfeed.el
EL += xml-query.el
EL += elfeed-lib.el
EL += elfeed-log.el
EL += elfeed-db.el
EL += elfeed-search.el
EL += elfeed-show.el
EL += elfeed-curl.el
EL += elfeed-csv.el

ELC = $(EL:.el=.elc)

WEB_FILES  = web/elfeed-web.el
WEB_FILES += web/elfeed-web-pkg.el
WEB_FILES += web/index.html
WEB_FILES += web/elfeed.js
WEB_FILES += web/elfeed.css

EXTRA_DIST = README.md UNLICENSE

.PHONY : all package compile clean test

all : package

elfeed-$(VERSION).tar : $(EL) elfeed-pkg.el $(EXTRA_DIST)
	tar -cf $@ --transform "s,^,elfeed-$(VERSION)/," $^

elfeed-web-$(VERSION).tar : $(WEB_FILES)
	tar -cf $@ --transform "s,^web/,elfeed-web-$(VERSION)/," $^

package: elfeed-$(VERSION).tar elfeed-web-$(VERSION).tar

test: compile
	$(BATCH) -L tests -l tests/elfeed-tests.el -f ert-run-tests-batch

compile: $(ELC)

clean:
	$(RM) *.tar *.elc

%.elc: %.el
	@$(COMPILE) $<

=== debian/changelog ===
elfeed (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * Remove obsolete patch (applied upstream)
  * Remove screenshot from README.md (loaded from an external source)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 03 Nov 2016 00:17:27 +0500

elfeed (2.0.0-2) unstable; urgency=low

  * Add watch file

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 14 Oct 2016 17:11:31 +0500

elfeed (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #840551)

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 12 Oct 2016 21:11:26 +0500

=== debian/control ===
Source: elfeed
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/skeeto/elfeed
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/elfeed.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/elfeed.git

Package: elpa-elfeed
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0),
            curl
Enhances: emacs,
          emacs24
Built-Using: ${misc:Built-Using}
Description: Emacs Atom/RSS feed reader
 Elfeed is an extensible web feed reader for Emacs, supporting both Atom and
 RSS.

Package: elpa-elfeed-web
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs,
         elpa-elfeed,
         elpa-simple-httpd
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24
Built-Using: ${misc:Built-Using}
Description: Emacs Atom/RSS feed reader - web interface
 Elfeed is an extensible web feed reader for Emacs, supporting both Atom and
 RSS.
 .
 This package contains demonstration/toy web interface for remote network
 access.

## elfeed 2.1.0

=== Makefile ===
.POSIX :
EMACS    = emacs
BATCH    = $(EMACS) -batch -Q -L . -L tests
VERSION != $(BATCH) -l elfeed.el --eval '(princ elfeed-version)'

EL   = elfeed-csv.el elfeed-curl.el elfeed-db.el elfeed-lib.el	\
       elfeed-log.el elfeed-show.el elfeed.el xml-query.el	\
       elfeed-search.el
DOC  = README.md UNLICENSE elfeed-pkg.el
WEB  = web/elfeed-web-pkg.el web/elfeed-web.el web/elfeed.css	\
       web/elfeed.js web/index.html
TEST = tests/elfeed-db-tests.el tests/elfeed-lib-tests.el	\
       tests/elfeed-tests.el tests/xml-query-tests.el

compile : $(EL:.el=.elc) $(TEST:.el=.elc)

test : $(EL:.el=.elc) $(TEST:.el=.elc)
	$(BATCH) -l tests/elfeed-tests.el -f ert-run-tests-batch

package : elfeed-$(VERSION).tar elfeed-web-$(VERSION).tar

clean:
	rm -f *.tar $(EL:.el=.elc) $(TEST:.el=.elc)

elfeed-$(VERSION).tar : $(EL) $(DOC)
	tar -cf $@ --transform "s,^,elfeed-$(VERSION)/," $(EL) $(DOC)

elfeed-web-$(VERSION).tar : $(WEB)
	tar -cf $@ --transform "s,^web/,elfeed-web-$(VERSION)/," $(WEB)

elfeed-csv.elc : elfeed-csv.el
elfeed-curl.elc : elfeed-curl.el
elfeed-db.elc : elfeed-db.el
elfeed-lib.elc : elfeed-lib.el
elfeed-log.elc : elfeed-log.el
elfeed-show.elc : elfeed-show.el
elfeed.elc : elfeed.el
xml-query.elc : xml-query.el
elfeed-search.elc : elfeed-search.el
tests/elfeed-db-tests.elc : tests/elfeed-db-tests.el
tests/elfeed-lib-tests.elc : tests/elfeed-lib-tests.el
tests/elfeed-tests.elc : tests/elfeed-tests.el
tests/xml-query-tests.elc : tests/xml-query-tests.el

.PHONY : compile test package clean
.SUFFIXES : .el .elc

.el.elc :
	$(BATCH) -f batch-byte-compile $<

=== debian/changelog ===
elfeed (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Refresh patches
  * Add emacs25 to Enhances
  * Extend description a bit

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 29 Jan 2017 12:11:30 +0500

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,12 @@
 Recommends: emacs (>= 46.0),
             curl
 Enhances: emacs,
-          emacs24
+          emacs24,
+          emacs25
 Built-Using: ${misc:Built-Using}
 Description: Emacs Atom/RSS feed reader
  Elfeed is an extensible web feed reader for Emacs, supporting both Atom and
- RSS.
+ RSS. Elfeed was inspired by notmuch.
 
 Package: elpa-elfeed-web
 Architecture: all
@@ -34,11 +35,12 @@
          elpa-simple-httpd
 Recommends: emacs (>= 46.0)
 Enhances: emacs,
-          emacs24
+          emacs24,
+          emacs25
 Built-Using: ${misc:Built-Using}
 Description: Emacs Atom/RSS feed reader - web interface
  Elfeed is an extensible web feed reader for Emacs, supporting both Atom and
- RSS.
+ RSS. Elfeed was inspired by notmuch.
  .
  This package contains demonstration/toy web interface for remote network
  access.

## elfeed 2.2.0

=== Makefile ===
.POSIX:
EMACS   = emacs
BATCH   = $(EMACS) -batch -Q -L . -L tests
VERSION = 2.2.0

EL   = elfeed-csv.el elfeed-curl.el elfeed-db.el elfeed-lib.el	\
       elfeed-log.el elfeed-show.el elfeed.el xml-query.el	\
       elfeed-search.el elfeed-link.el
DOC  = README.md UNLICENSE elfeed-pkg.el
WEB  = web/elfeed-web-pkg.el web/elfeed-web.el web/elfeed.css	\
       web/elfeed.js web/index.html
TEST = tests/elfeed-db-tests.el tests/elfeed-lib-tests.el	\
       tests/elfeed-tests.el tests/xml-query-tests.el

compile: $(EL:.el=.elc) $(TEST:.el=.elc)

test: $(EL:.el=.elc) $(TEST:.el=.elc)
	$(BATCH) -l tests/elfeed-tests.elc -f ert-run-tests-batch

package: elfeed-$(VERSION).tar elfeed-web-$(VERSION).tar

clean:
	rm -f *.tar $(EL:.el=.elc) $(TEST:.el=.elc)

elfeed-$(VERSION).tar: $(EL) $(DOC)
	tar -cf $@ --transform "s,^,elfeed-$(VERSION)/," $(EL) $(DOC)

elfeed-web-$(VERSION).tar: $(WEB)
	tar -cf $@ --transform "s,^web/,elfeed-web-$(VERSION)/," $(WEB)

elfeed-csv.elc: elfeed-csv.el elfeed-db.elc
elfeed-curl.elc: elfeed-curl.el elfeed-lib.elc elfeed-log.elc
elfeed-db.elc: elfeed-db.el elfeed-lib.elc
elfeed-lib.elc: elfeed-lib.el
elfeed-log.elc: elfeed-log.el
elfeed-show.elc: elfeed-show.el elfeed.elc elfeed-db.elc elfeed-lib.elc \
    elfeed-search.elc
elfeed-link.elc: elfeed-link.el elfeed.elc
elfeed.elc: elfeed.el elfeed-lib.elc elfeed-log.elc elfeed-curl.elc \
    elfeed-db.elc xml-query.elc
xml-query.elc: xml-query.el
elfeed-search.elc: elfeed-search.el elfeed.elc elfeed-db.elc elfeed-lib.elc
tests/elfeed-db-tests.elc: tests/elfeed-db-tests.el elfeed-db.elc
tests/elfeed-lib-tests.elc: tests/elfeed-lib-tests.el elfeed-lib.elc
tests/elfeed-tests.elc: tests/elfeed-tests.el elfeed.elc
tests/xml-query-tests.elc: tests/xml-query-tests.el xml-query.elc

.SUFFIXES: .el .elc

.el.elc:
	$(BATCH) -f batch-byte-compile $<

=== debian/changelog ===
elfeed (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Refresh patch
  * Bump Standards-Version

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 10 Jul 2017 15:58:35 +0500

elfeed (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * Refresh patch
  * Don't pass --parallel to dh, compat is 10 anyway

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 20 Jun 2017 00:55:39 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-elpa
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/skeeto/elfeed
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/elfeed.git/

## elfeed 2.3.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 EMACS   = emacs
 BATCH   = $(EMACS) -batch -Q -L . -L tests
-VERSION = 2.2.0
+VERSION = 2.3.0
 
 EL   = elfeed-csv.el elfeed-curl.el elfeed-db.el elfeed-lib.el	\
        elfeed-log.el elfeed-show.el elfeed.el xml-query.el	\
@@ -23,10 +23,18 @@
 	rm -f *.tar $(EL:.el=.elc) $(TEST:.el=.elc)
 
 elfeed-$(VERSION).tar: $(EL) $(DOC)
-	tar -cf $@ --transform "s,^,elfeed-$(VERSION)/," $(EL) $(DOC)
+	rm -rf elfeed-$(VERSION)/
+	mkdir elfeed-$(VERSION)/
+	cp $(EL) $(DOC) elfeed-$(VERSION)/
+	tar cf $@ elfeed-$(VERSION)/
+	rm -rf elfeed-$(VERSION)/
 
 elfeed-web-$(VERSION).tar: $(WEB)
-	tar -cf $@ --transform "s,^web/,elfeed-web-$(VERSION)/," $(WEB)
+	rm -rf elfeed-web-$(VERSION)/
+	mkdir elfeed-web-$(VERSION)/
+	cp $(WEB) elfeed-web-$(VERSION)/
+	tar cf $@ elfeed-web-$(VERSION)/
+	rm -rf elfeed-web-$(VERSION)/
 
 elfeed-csv.elc: elfeed-csv.el elfeed-db.elc
 elfeed-curl.elc: elfeed-curl.el elfeed-lib.elc elfeed-log.elc
@@ -35,7 +43,7 @@
 elfeed-log.elc: elfeed-log.el
 elfeed-show.elc: elfeed-show.el elfeed.elc elfeed-db.elc elfeed-lib.elc \
     elfeed-search.elc
-elfeed-link.elc: elfeed-link.el elfeed.elc
+elfeed-link.elc: elfeed-link.el elfeed.elc elfeed-search.elc elfeed-show.elc
 elfeed.elc: elfeed.el elfeed-lib.elc elfeed-log.elc elfeed-curl.elc \
     elfeed-db.elc xml-query.elc
 xml-query.elc: xml-query.el

=== debian/changelog ===
elfeed (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Migrate to dh 11
  * d/control: Declare Standards-Version 4.1.3 (no changes needed)
  * d/control: Remove emacs24 from Enhances
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 28 Jan 2018 23:16:06 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-elpa
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/skeeto/elfeed
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/elfeed.git/
@@ -19,7 +19,6 @@
 Recommends: emacs (>= 46.0),
             curl
 Enhances: emacs,
-          emacs24,
           emacs25
 Built-Using: ${misc:Built-Using}
 Description: Emacs Atom/RSS feed reader
@@ -35,7 +34,6 @@
          elpa-simple-httpd
 Recommends: emacs (>= 46.0)
 Enhances: emacs,
-          emacs24,
           emacs25
 Built-Using: ${misc:Built-Using}
 Description: Emacs Atom/RSS feed reader - web interface

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%elfeed-$1.tar.gz%" \
             https://github.com/skeeto/elfeed/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## elfeed 3.0.0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 .POSIX:
 EMACS   = emacs
 BATCH   = $(EMACS) -batch -Q -L . -L tests
-VERSION = 2.3.0
+VERSION = 3.0.0
 
 EL   = elfeed-csv.el elfeed-curl.el elfeed-db.el elfeed-lib.el	\
        elfeed-log.el elfeed-show.el elfeed.el xml-query.el	\
        elfeed-search.el elfeed-link.el
-DOC  = README.md UNLICENSE elfeed-pkg.el
+DOC  = README.md NEWS.md UNLICENSE elfeed-pkg.el
 WEB  = web/elfeed-web-pkg.el web/elfeed-web.el web/elfeed.css	\
        web/elfeed.js web/index.html
 TEST = tests/elfeed-db-tests.el tests/elfeed-lib-tests.el	\
@@ -14,6 +14,7 @@
 
 compile: $(EL:.el=.elc) $(TEST:.el=.elc)
 
+check: test
 test: $(EL:.el=.elc) $(TEST:.el=.elc)
 	$(BATCH) -l tests/elfeed-tests.elc -f ert-run-tests-batch

=== debian/changelog ===
elfeed (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version  4.1.5 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Clean dependencies
  * d/control: Remove Built-Using field
  * Explicitly include upstream changelog (NEWS.md)
  * Explicitly include only README.md in dh-elpa handled documentation
  * Do not include duplicates of documentation into elpa-elfeed-web
  * Document database irreversible changes in Emacs 26

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 20 Jul 2018 15:00:06 +0500

=== debian/control ===
Source: elfeed
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa
Standards-Version: 4.1.5
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no
Homepage: https://github.com/skeeto/elfeed
Vcs-Browser: https://salsa.debian.org/emacsen-team/elfeed
Vcs-Git: https://salsa.debian.org/emacsen-team/elfeed.git

Package: elpa-elfeed
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0),
            curl
Enhances: emacs,
          emacs25
Description: Emacs Atom/RSS feed reader
 Elfeed is an extensible web feed reader for Emacs, supporting both Atom and
 RSS. Elfeed was inspired by notmuch.

Package: elpa-elfeed-web
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: Emacs Atom/RSS feed reader - web interface
 Elfeed is an extensible web feed reader for Emacs, supporting both Atom and
 RSS. Elfeed was inspired by notmuch.
 .
 This package contains demonstration/toy web interface for remote network
 access.

## elfeed 3.1.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 EMACS   = emacs
 BATCH   = $(EMACS) -batch -Q -L . -L tests
-VERSION = 3.0.0
+VERSION = 3.1.0
 
 EL   = elfeed-csv.el elfeed-curl.el elfeed-db.el elfeed-lib.el	\
        elfeed-log.el elfeed-show.el elfeed.el xml-query.el	\

=== debian/changelog ===
elfeed (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Declare Standards-Version 4.2.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 04 Sep 2018 12:37:08 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-elpa
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Testsuite: autopkgtest-pkg-elpa
 Rules-Requires-Root: no
 Homepage: https://github.com/skeeto/elfeed

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md
	dh_installchangelogs

.PHONY: override_dh_installchangelogs

## elfeed 3.2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 EMACS   = emacs
 BATCH   = $(EMACS) -batch -Q -L . -L tests
-VERSION = 3.1.0
+VERSION = 3.2.0
 
 EL   = elfeed-csv.el elfeed-curl.el elfeed-db.el elfeed-lib.el	\
        elfeed-log.el elfeed-show.el elfeed.el xml-query.el	\
@@ -22,6 +22,12 @@
 
 clean:
 	rm -f *.tar $(EL:.el=.elc) $(TEST:.el=.elc)
+
+virtual: compile
+	(mkdir -p tmp-$$$$/.elfeed; \
+	 cp ~/.elfeed/index tmp-$$$$/.elfeed/ 2>/dev/null || true; \
+	 trap "rm -rf tmp-$$$$" INT EXIT; \
+	 HOME=$$PWD/tmp-$$$$ $(EMACS) -L . -l elfeed.elc $(ARGS))
 
 elfeed-$(VERSION).tar: $(EL) $(DOC)
 	rm -rf elfeed-$(VERSION)/

=== debian/changelog ===
elfeed (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * Migrate to dh 12 without d/compat
  * Run tests via the main test file only and exclude others to prevent errors
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 03 Sep 2019 18:08:09 +0500

elfeed (3.1.0-3) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 14:16:57 -0300

elfeed (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 24 Aug 2019 20:33:12 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Testsuite: autopkgtest-pkg-elpa
 Rules-Requires-Root: no
 Homepage: https://github.com/skeeto/elfeed
@@ -29,8 +29,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends}
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: Emacs Atom/RSS feed reader - web interface
  Elfeed is an extensible web feed reader for Emacs, supporting both Atom and
  RSS. Elfeed was inspired by notmuch.

## elfeed 3.3.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 EMACS   = emacs
 BATCH   = $(EMACS) -batch -Q -L . -L tests
-VERSION = 3.2.0
+VERSION = 3.3.0
 
 EL   = elfeed-csv.el elfeed-curl.el elfeed-db.el elfeed-lib.el	\
        elfeed-log.el elfeed-show.el elfeed.el xml-query.el	\

=== debian/changelog ===
elfeed (3.3.0-3) unstable; urgency=medium

  * d/control: Migrate to debhelper-compat 13
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 06 May 2020 21:43:22 +0500

elfeed (3.3.0-2) unstable; urgency=medium

  * d/control: Put elpa-elfeed-web to contrib area
  * d/control: Change Section to net (from lisp)
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * Reflect main to contrib transition in d/NEWS file

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 06 Apr 2020 10:33:34 +0500

elfeed (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * Drop elpa-elfeed.NEWS, since it is not needed now
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)
  * d/control: Drop emacs25 from Enhances

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 15 Dec 2019 16:37:12 +0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: elfeed
-Section: lisp
+Section: net
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
-Rules-Requires-Root: no
 Homepage: https://github.com/skeeto/elfeed
 Vcs-Browser: https://salsa.debian.org/emacsen-team/elfeed
 Vcs-Git: https://salsa.debian.org/emacsen-team/elfeed.git
@@ -18,13 +18,13 @@
          ${misc:Depends}
 Recommends: emacs (>= 46.0),
             curl
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: Emacs Atom/RSS feed reader
  Elfeed is an extensible web feed reader for Emacs, supporting both Atom and
  RSS. Elfeed was inspired by notmuch.
 
 Package: elpa-elfeed-web
+Section: contrib/net
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}

## elfeed 3.4.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 EMACS   = emacs
 BATCH   = $(EMACS) -batch -Q -L . -L tests
-VERSION = 3.3.0
+VERSION = 3.4.0
 
 EL   = elfeed-csv.el elfeed-curl.el elfeed-db.el elfeed-lib.el	\
        elfeed-log.el elfeed-show.el elfeed.el xml-query.el	\
@@ -9,8 +9,9 @@
 DOC  = README.md NEWS.md UNLICENSE elfeed-pkg.el
 WEB  = web/elfeed-web-pkg.el web/elfeed-web.el web/elfeed.css	\
        web/elfeed.js web/index.html
-TEST = tests/elfeed-db-tests.el tests/elfeed-lib-tests.el	\
-       tests/elfeed-tests.el tests/xml-query-tests.el
+TEST = tests/elfeed-db-tests.el tests/elfeed-lib-tests.el       \
+       tests/elfeed-tests.el tests/elfeed-search-tests.el       \
+       tests/xml-query-tests.el
 
 compile: $(EL:.el=.elc) $(TEST:.el=.elc)

=== debian/changelog ===
elfeed (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Refresh patch to clean documentation
  * Add upstream metadata
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/conpyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 03 Feb 2021 14:55:54 +0500

## elfeed 3.4.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 EMACS   = emacs
 BATCH   = $(EMACS) -batch -Q -L . -L tests
-VERSION = 3.4.0
+VERSION = 3.4.1
 
 EL   = elfeed-csv.el elfeed-curl.el elfeed-db.el elfeed-lib.el	\
        elfeed-log.el elfeed-show.el elfeed.el xml-query.el	\

=== debian/changelog ===
elfeed (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 27 Feb 2021 09:35:03 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/skeeto/elfeed

## elfeed 3.4.2

=== Makefile ===
.POSIX:
EMACS   = emacs
BATCH   = $(EMACS) -batch -Q -L . -L tests
VERSION = 3.4.2

EL   = elfeed-csv.el elfeed-curl.el elfeed-db.el elfeed-lib.el	\
       elfeed-log.el elfeed-show.el elfeed.el xml-query.el	\
       elfeed-search.el elfeed-link.el
DOC  = README.md NEWS.md UNLICENSE elfeed-pkg.el
WEB  = web/elfeed-web-pkg.el web/elfeed-web.el web/elfeed.css	\
       web/elfeed.js web/index.html
TEST = tests/elfeed-db-tests.el tests/elfeed-lib-tests.el       \
       tests/elfeed-tests.el tests/elfeed-search-tests.el       \
       tests/elfeed-curl-tests.el tests/xml-query-tests.el

compile: $(EL:.el=.elc) $(TEST:.el=.elc)

check: test
test: $(EL:.el=.elc) $(TEST:.el=.elc)
	$(BATCH) -l tests/elfeed-tests.elc -f ert-run-tests-batch

package: elfeed-$(VERSION).tar elfeed-web-$(VERSION).tar

clean:
	rm -f *.tar $(EL:.el=.elc) $(TEST:.el=.elc)

virtual: compile
	(mkdir -p tmp-$$$$/.elfeed; \
	 cp ~/.elfeed/index tmp-$$$$/.elfeed/ 2>/dev/null || true; \
	 trap "rm -rf tmp-$$$$" INT EXIT; \
	 HOME=$$PWD/tmp-$$$$ $(EMACS) -L . -l elfeed.elc $(ARGS))

elfeed-$(VERSION).tar: $(EL) $(DOC)
	rm -rf elfeed-$(VERSION)/
	mkdir elfeed-$(VERSION)/
	cp $(EL) $(DOC) elfeed-$(VERSION)/
	tar cf $@ elfeed-$(VERSION)/
	rm -rf elfeed-$(VERSION)/

elfeed-web-$(VERSION).tar: $(WEB)
	rm -rf elfeed-web-$(VERSION)/
	mkdir elfeed-web-$(VERSION)/
	cp $(WEB) elfeed-web-$(VERSION)/
	tar cf $@ elfeed-web-$(VERSION)/
	rm -rf elfeed-web-$(VERSION)/

elfeed-csv.elc: elfeed-db.elc
elfeed-curl.elc: elfeed-lib.elc elfeed-log.elc
elfeed-db.elc: elfeed-lib.elc
elfeed-show.elc: elfeed.elc elfeed-db.elc elfeed-lib.elc elfeed-search.elc
elfeed-link.elc: elfeed.elc elfeed-search.elc elfeed-show.elc
elfeed.elc: elfeed-lib.elc elfeed-log.elc elfeed-curl.elc elfeed-db.elc \
    xml-query.elc
elfeed-search.elc: elfeed.elc elfeed-db.elc elfeed-lib.elc
tests/elfeed-curl-tests.elc: elfeed-lib.elc elfeed-curl.elc
tests/elfeed-db-tests.elc: elfeed.elc elfeed-db.elc elfeed-lib.elc
tests/elfeed-lib-tests.elc: elfeed-lib.elc
tests/elfeed-tests.elc: elfeed.elc elfeed-lib.elc elfeed-curl.elc \
    tests/xml-query-tests.elc tests/elfeed-db-tests.elc \
    tests/elfeed-lib-tests.elc tests/elfeed-search-tests.elc \
    tests/elfeed-curl-tests.elc
tests/elfeed-search-tests.elc: elfeed-search.elc
tests/xml-query-tests.elc: xml-query.elc

.SUFFIXES: .el .elc

.el.elc:
	$(BATCH) -f batch-byte-compile $<

=== debian/changelog ===
elfeed (3.4.2-5) unstable; urgency=medium

  * Fix autopkgtest
    - Drop 0002-stop-requiring-other-tests.diff; upstream use a custom
      test rule that only runs the central test file to avoid the issue.
    - Add d/tests/control for autopkgtest using upstream make rule
    - Drop "Testsuite: autopkgtest-pkg-elpa" to prefer custom autopkgtest
      rules

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 08 Mar 2025 14:42:42 -0800

elfeed (3.4.2-4) unstable; urgency=medium

  * Mark 0001-remove-screenshot.diff as "Forwarded: not-needed"
  * Apply patch to stop requiring other tests causing reusing test names
  * d/control: update Standards-Version to 4.7.2; no change needed
  * d/control: add myself to Uploaders

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 07 Mar 2025 22:28:46 -0800

elfeed (3.4.2-3) unstable; urgency=medium

  * d/rules: Override dh_elpa_test

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 12 Aug 2024 00:07:34 +0500

elfeed (3.4.2-2) unstable; urgency=medium

  * d/rules: Override dh_auto_build

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 11 Aug 2024 22:08:09 +0500

elfeed (3.4.2-1) unstable; urgency=medium

  * New upstream version 3.4.2
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 11 Aug 2024 11:28:12 +0500

elfeed (3.4.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:03:41 +0900

elfeed (3.4.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 22:02:16 +0900

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Lev Lamberov <dogsleg@debian.org>
+Uploaders: Lev Lamberov <dogsleg@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/skeeto/elfeed
 Vcs-Browser: https://salsa.debian.org/emacsen-team/elfeed
 Vcs-Git: https://salsa.debian.org/emacsen-team/elfeed.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_elpa_test:
	make test

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md
	dh_installchangelogs

.PHONY: override_dh_auto_build override_dh_elpa_test override_dh_installchangelogs

=== debian/tests/control ===
Test-Command: /usr/bin/make test 2>&1
Depends: @, @builddeps@
